Subject: bug#71816: Emacs as build tool fails to launch after update

From: Liliana Marie Prikler <[email-masked]>
Date: Sat, 29 Jun 2024 20:36:37 +0200

Hi Arne,

Am Freitag, dem 28.06.2024 um 09:38 +0200 schrieb Dr. Arne
Babenhauserheide:
> To do a clean run:
> 
> sudo mkdir -p /home/arne/eigenes/Webseiten/
> sudo chmod a+rwx /home/arne/eigenes/Webseiten/
> hg clone
> https://hg.sr.ht/~arnebab/draketo /home/arne/eigenes/Webseiten/arneba
> b-org
> cd /home/arne/eigenes/Webseiten/arnebab-org
> echo -e "utf-8\n" | HOME="/home/arne/eigenes/Webseiten/arnebab-org"
> emacs --batch --load .emacs.d/init.el --load setup.el "setup.el" -f
> org-feed-update-all -f kill-emacs && touch "external-rss.org.in"
> 
> 
> Since I updated Guix, it is broken for me:
> 
> echo -e "utf-8\n" | HOME="/home/arne/eigenes/Webseiten/arnebab-org"
> emacs --batch --load .emacs.d/init.el --load setup.el "setup.el" -f
> org-feed-update-all -f kill-emacs && touch "external-rss.org.in" #
> the
> echo is a hack to work around broken encoding -> no longer empty, but
> still broken
> Loading ido (native compiled elisp)...
> 
> Error: error ("Recursive ‘require’ for feature ‘ox’")
> […]
> How can I help track this down?
With PWD="/home/arne/eigenes/Webseiten/", I can run 
  guix shell coreutils mercurial emacs emacs-ox-rss --pure

followed by 
  HOME="$PWD" emacs --batch --load .emacs.d/init.el --load setup.el
"setup.el" -f org-feed-update-all -f kill-emacs

and it gives me the following:

--8<---------------cut here---------------start------------->8---
.emacs.d/lisp/key-chord.el: Warning: Obsolete calling convention for
'sit-for'
Contacting host: rollenspiel.social:443
Mark set
Replaced 1 occurrence
Mark set
Replaced 3 occurrences
Mark set
Replaced 2 occurrences
Mark set
Replaced 2 occurrences
Mark set
Replaced 1 occurrence
Mark set
Replaced 3 occurrences
Mark set
Replaced 2 occurrences
Mark set
Replaced 4 occurrences
Mark set
Replaced 4 occurrences
Mark set
Replaced 7 occurrences
Mark set
Replaced 1 occurrence
Mark set
Replaced 33 occurrences
Clipboard pasted as level 2 subtree
Position saved to mark ring, go back with `C-c &'.
Added 1 new item from feed rollenspiel.social/@ArneBab to file
external-rss.org.in, heading rollenspiel.social
Contacting host: sn.1w6.org:80
No new items in feed sn.1w6.org
Contacting host: www.1w6.org:80
uncompressing publicsuffix.txt.gz...
uncompressing publicsuffix.txt.gz...done
No new items in feed 1w6
No new items in feed Weltenwald, alt
1 new entry from 5 feeds (unavailable feeds: 1)
--8<---------------cut here---------------end--------------->8---

Thus, at the very least with a pure environment, you shouldn't
encounter this.  I'm not sure, what's in your profile, but you might
want to use pure environments to encapsulate them, then file bugs
against broken combinations that you encounter.

Cheers